@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('incidentpkg::incidentpkg.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('incidentpkg::incidentpkg.names') !!}</small>
@stop

@section('title')
{!! trans('incidentpkg::incidentpkg.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('incidentpkg::incidentpkg.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='incidentpkg-incidentpkg-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="incidentpkg-incidentpkg-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('incidentpkg::incidentpkg.label.division_id')!!}</th>
        <th>{!! trans('incidentpkg::incidentpkg.label.asset_id')!!}</th>
        <th>{!! trans('incidentpkg::incidentpkg.label.damagepercentage')!!}</th>
        <th>{!! trans('incidentpkg::incidentpkg.label.damagedetails')!!}</th>
        <th>{!! trans('incidentpkg::incidentpkg.label.statusdate')!!}</th>
        <th>{!! trans('incidentpkg::incidentpkg.label.employee_id')!!}</th>
        <th>{!! trans('incidentpkg::incidentpkg.label.externalname')!!}</th>
        <th>{!! trans('incidentpkg::incidentpkg.label.externalmobile')!!}</th>
        <th>{!! trans('incidentpkg::incidentpkg.label.usedby_id')!!}</th>
        <th>{!! trans('incidentpkg::incidentpkg.label.custodian_id')!!}</th>
        <th>{!! trans('incidentpkg::incidentpkg.label.asset_type')!!}</th>
        <th>{!! trans('incidentpkg::incidentpkg.label.action')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::numeric('search[division_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[asset_id]')->raw()!!}</th>
        <th>{!! Form::decimal('search[damagepercentage]')->raw()!!}</th>
        <th>{!! Form::text('search[damagedetails]')->raw()!!}</th>
        <th>{!! Form::date_time_picker('search[statusdate]')->raw()!!}</th>
        <th>{!! Form::numeric('search[employee_id]')->raw()!!}</th>
        <th>{!! Form::text('search[externalname]')->raw()!!}</th>
        <th>{!! Form::text('search[externalmobile]')->raw()!!}</th>
        <th>{!! Form::numeric('search[usedby_id]')->raw()!!}</th>
        <th>{!! Form::numeric('search[custodian_id]')->raw()!!}</th>
        <th>{!! Form::radios('search[asset_type]')->raw()!!}</th>
        <th>{!! Form::text('search[action]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#incidentpkg-incidentpkg-entry', '{!!trans_url('admin/incidentpkg/incidentpkg/0')!!}');
    oTable = $('#incidentpkg-incidentpkg-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/incidentpkg/incidentpkg') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#incidentpkg-incidentpkg-list .search_bar input, #incidentpkg-incidentpkg-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'division_id'},
                    {data :'asset_id'},
                    {data :'damagepercentage'},
                    {data :'damagedetails'},
                        {data :'statusdate'},
                    {data :'employee_id'},
                    {data :'externalname'},
                    {data :'externalmobile'},
                    {data :'usedby_id'},
                    {data :'custodian_id'},
                    {data :'asset_type'},
                    {data :'action'},
        ],
        "pageLength": 25
    });

    $('#incidentpkg-incidentpkg-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#incidentpkg-incidentpkg-list').DataTable().row( this ).data();

        $('#incidentpkg-incidentpkg-entry').load('{!!trans_url('admin/incidentpkg/incidentpkg')!!}' + '/' + d.id);
    });

    $("#incidentpkg-incidentpkg-list .search_bar input, #incidentpkg-incidentpkg-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

