<?php

namespace Assetdocs\Incidentpkg\Policies;

use App\User;
use Illuminate\Auth\Access\HandlesAuthorization;
use Assetdocs\Incidentpkg\Models\Incidentpkg;

class IncidentpkgPolicy
{
    use HandlesAuthorization;

    /**
     * Determine if the given user can view the incidentpkg.
     *
     * @param User $user
     * @param Incidentpkg $incidentpkg
     *
     * @return bool
     */
    public function view(User $user, Incidentpkg $incidentpkg)
    {
        if ($user->canDo('incidentpkg.incidentpkg.view') && $user->is('admin')) {
            return true;
        }

        return $user->id === $incidentpkg->user_id;
    }

    /**
     * Determine if the given user can create a incidentpkg.
     *
     * @param User $user
     * @param Incidentpkg $incidentpkg
     *
     * @return bool
     */
    public function create(User $user)
    {
        return  $user->canDo('incidentpkg.incidentpkg.create');
    }

    /**
     * Determine if the given user can update the given incidentpkg.
     *
     * @param User $user
     * @param Incidentpkg $incidentpkg
     *
     * @return bool
     */
    public function update(User $user, Incidentpkg $incidentpkg)
    {
        if ($user->canDo('incidentpkg.incidentpkg.update') && $user->is('admin')) {
            return true;
        }

        return $user->id === $incidentpkg->user_id;
    }

    /**
     * Determine if the given user can delete the given incidentpkg.
     *
     * @param User $user
     * @param Incidentpkg $incidentpkg
     *
     * @return bool
     */
    public function destroy(User $user, Incidentpkg $incidentpkg)
    {
        if ($user->canDo('incidentpkg.incidentpkg.delete') && $user->is('admin')) {
            return true;
        }

        return $user->id === $incidentpkg->user_id;
    }

    /**
     * Determine if the user can perform a given action ve.
     *
     * @param [type] $user    [description]
     * @param [type] $ability [description]
     *
     * @return [type] [description]
     */
    public function before($user, $ability)
    {
        if ($user->isSuperUser()) {
            return true;
        }
    }
}
